Subject: [IPFIX] IPFIX flow's timestamps

From: descombes <[email-masked]>
Date: Sun, 31 Oct 2010 15:20:01 +0100

Hello,

I am currently developing a collector NetFlow / IPFIX. I am trying to 
decode the "first switched" and "last switched" timestamps of flows with 
an accuracy of one second. It was simple so far with Netflows. With 
IPFIX, is there a simple and standard way to do that ? (Or should I deal 
with all possible combinations of time fields (flowStartSysUpTime, 
flowEndSysUpTime, systemInitTimeMilliseconds, flowStartMicroseconds, 
flowEndMicroseconds, flowStartDeltaMicroseconds, 
flowEndDeltaMicroseconds...) ?

What are the manufacturers and models of router implementing IPFIX? What 
type of timestamp do they implement by default?

Thanks a lot in advance.
Regards

Thierry Descombes
LPSC - CNRS